[Overview][Constants][Types][Classes][Index] | Reference for unit 'syncobjs' (#fcl)

# TCriticalSection.Release

Leave the critical section

## Declaration

Source position: syncobjs.pp line 47

`public procedure TCriticalSection.Release; override;`

## Description

Release leaves the critical section. It will free the critical section so another thread waiting to enter the critical section will be awakened, and will enter the critical section. This call always returns immediately.

## See also

Acquire |  | Enter the critical section